Subject: bug#47712: 27.1; Provide `string-display-width` function, which takes properties into account, `substring-width`

From: Daniel Mendler <[email-masked]>
Date: Mon, 12 Apr 2021 16:38:08 +0200

On 4/12/21 4:32 PM, Eli Zaretskii wrote:
> My benchmarking indicates that reusing the buffer makes
> string-pixel-width only 10 times slower than string-width, i.e. 50
> about microseconds per call.

Can you please paste the exact code you used? As I wrote in my previous 
mail, I tried without buffer switching, but it was still 50 times 
slower. 10 times slower is still not good, but given that number I may 
stop arguing, since the factor will be even less in real code.